Loading...
Searching...
No Matches
fastjet::VoronoiDiagramGenerator Class Reference

More...

`#include <fastjet/internal/Voronoi.hh>`

## Public Member Functions

bool | generateVoronoi (std::vector< VPoint > *_parent_sites, double minX, double maxX, double minY, double maxY, double minDist=0)
void | resetIterator ()
bool | getNext (GraphEdge **e)

## Public Attributes

std::vector< VPoint > * | parent_sites
int | n_parent_sites

## Detailed Description

Definition at line 255 of file Voronoi.hh.

## Constructor & Destructor Documentation

## VoronoiDiagramGenerator()

fastjet::VoronoiDiagramGenerator::VoronoiDiagramGenerator | ( |  | ) |

Definition at line 122 of file Voronoi.cc.

## ~VoronoiDiagramGenerator()

fastjet::VoronoiDiagramGenerator::~VoronoiDiagramGenerator | ( |  | ) |

Definition at line 139 of file Voronoi.cc.

## Member Function Documentation

## generateVoronoi()

bool fastjet::VoronoiDiagramGenerator::generateVoronoi | ( | std::vector< VPoint > * | _parent_sites,
|  | double | minX,
|  | double | maxX,
|  | double | minY,
|  | double | maxY,
|  | double | minDist = 0 )

Definition at line 149 of file Voronoi.cc.

## resetIterator()

void fastjet::VoronoiDiagramGenerator::resetIterator | ( |  | ) |

inline

Definition at line 264 of file Voronoi.hh.

## getNext()

bool fastjet::VoronoiDiagramGenerator::getNext | ( | GraphEdge ** | e | ) |

inline

Definition at line 268 of file Voronoi.hh.

## Member Data Documentation

## parent_sites

std::vector<VPoint>* fastjet::VoronoiDiagramGenerator::parent_sites

Definition at line 277 of file Voronoi.hh.

## n_parent_sites

int fastjet::VoronoiDiagramGenerator::n_parent_sites

Definition at line 278 of file Voronoi.hh.

The documentation for this class was generated from the following files:

- include/fastjet/internal/Voronoi.hh
- src/Voronoi.cc